Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joseki.server.processors
Class QueryModelProcessor

    java.lang.Object
      org.joseki.server.processors.QueryModelProcessor

All Implemented Interfaces:
  Loadable, Processor

public class QueryModelProcessor
extends java.lang.Object
implements Processor

This class is the indirection for queries that are specified by an RDF model. Large queries, or ones being forced to go to the model (no caching) are sent by HTTP POST. This class takes that request and finds the right language processor for query. The language is part of the argument model as property "joseki:queryOperationName".

Version:
  $Id: QueryModelProcessor.java,v 1.6 2004/04/30 14:13:11 andy_seaborne Exp $
Author:
  Andy Seaborne

Field Summary

Fields inherited from interface org.joseki.server.Processor
`ARGS_ONE, ARGS_ZERO, ARGS_ZERO_OR_ONE`

Constructor Summary
`QueryModelProcessor()`

Method Summary
`int` | `argsNeeded()` A model is required.
`com.hp.hpl.jena.rdf.model.Model` | `exec(Request request)` Execute the operation.
`java.lang.String` | `getInterfaceURI()` The URI for this loadable class.
`void` | `init(com.hp.hpl.jena.rdf.model.Resource processor, com.hp.hpl.jena.rdf.model.Resource binding)` Allow an implementation to initialise, based on configuration file

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryModelProcessor

    public QueryModelProcessor()

Method Detail

### init

    public void init(com.hp.hpl.jena.rdf.model.Resource processor,
                     com.hp.hpl.jena.rdf.model.Resource binding)

  Description copied from interface: `Loadable`
  Allow an implementation to initialise, based on configuration file

  Specified by:
    `init` in interface `Loadable`
  See Also:
    `Loadable.init(Resource, Resource)`

### exec

    public com.hp.hpl.jena.rdf.model.Model exec(Request request)
                                         throws ExecutionException

  Description copied from interface: `Processor`
  Execute the operation.

  Specified by:
    `exec` in interface `Processor`
  Returns:
    Model Should not be null.
  Throws:
    `ExecutionException`
  See Also:
    `Processor.exec(Request)`

### getInterfaceURI

    public java.lang.String getInterfaceURI()

  Description copied from interface: `Loadable`
  The URI for this loadable class. Must agree with the URI specified on loading (if any).

  Specified by:
    `getInterfaceURI` in interface `Loadable`
  See Also:
    `Loadable.getInterfaceURI()`

### argsNeeded

    public int argsNeeded()

  A model is required.

  Specified by:
    `argsNeeded` in interface `Processor`
  See Also:
    `Processor.argsNeeded()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Hewlett-Packard. All Rights Reserved.